## org.apache.poi.xslf.model.geom
Class PresetGeometries

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<java.lang.String,CustomGeometry>
                  org.apache.poi.xslf.model.geom.PresetGeometries

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,CustomGeometry>

    public class PresetGeometries

extends java.util.LinkedHashMap<java.lang.String,CustomGeometry>

Date: 10/25/11

Author:
  Yegor Kozlov
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Method Summary
`static PresetGeometries` `getInstance()`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get, removeEldestEntry`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### getInstance

    public static PresetGeometries getInstance()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.